*** autorevert.el	1997/12/04 14:44:36	1.1
--- autorevert.el	1998/08/04 19:20:42
***************
*** 77,83 ****
  
  ;; Dependencies:
  
- (require 'timer)
  (eval-when-compile (require 'cl))
  
  
--- 77,82 ----
***************
*** 275,290 ****
  
  (defun auto-revert-set-timer ()
    "Restart or cancel the timer."
!   (if (timerp auto-revert-timer)
!       (cancel-timer auto-revert-timer))
    (if (or global-auto-revert-mode auto-revert-buffer-list)
!       (setq auto-revert-timer (run-with-timer auto-revert-interval
! 					      auto-revert-interval
! 					      'auto-revert-buffers))
      (setq auto-revert-timer nil)))
  
  
! (defun auto-revert-buffers ()
    "Revert buffers as specified by Auto-Revert and Global Auto-Revert Mode.
  
  Should `global-auto-revert-mode' be active all file buffers are checked.
--- 274,295 ----
  
  (defun auto-revert-set-timer ()
    "Restart or cancel the timer."
!   (if (not (null auto-revert-timer))
!       (if (fboundp 'delete-itimer)
! 	  (delete-itimer auto-revert-timer)
! 	(disable-timeout auto-revert-timer)))
    (if (or global-auto-revert-mode auto-revert-buffer-list)
!       (setq auto-revert-timer
! 	    (if (fboundp 'start-itimer)
! 		(start-itimer "auto-revert" 'auto-revert-buffers
! 			      auto-revert-interval auto-revert-interval)
! 	      (add-timeout auto-revert-interval
! 			   'auto-revert-buffers nil
! 			   auto-revert-interval)))
      (setq auto-revert-timer nil)))
  
  
! (defun auto-revert-buffers (&optional xemacs-callback-arg)
    "Revert buffers as specified by Auto-Revert and Global Auto-Revert Mode.
  
  Should `global-auto-revert-mode' be active all file buffers are checked.
***************
*** 361,367 ****
      ;; Check if we should cancel the timer.
      (when (and (not global-auto-revert-mode)
  	       (null auto-revert-buffer-list))
!       (cancel-timer auto-revert-timer)
        (setq auto-revert-timer nil))))
  
  
--- 366,374 ----
      ;; Check if we should cancel the timer.
      (when (and (not global-auto-revert-mode)
  	       (null auto-revert-buffer-list))
!       (if (fboundp 'delete-itimer)
! 	  (delete-itimer auto-revert-timer)
! 	(cancel-timer auto-revert-timer))
        (setq auto-revert-timer nil))))
  
  
